org.apache.tomcat.util.bcel.classfile

## Class ElementValuePair

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.ElementValuePair

-     public class ElementValuePair
      extends Object

  an annotation's element value pair
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNameString()`
    `ElementValue` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNameString

          public String getNameString()

    - #### getValue

          public final ElementValue getValue()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.